from channels.auth import AuthMiddlewareStack
from channels.routing import ProtocolTypeRouter, URLRouter
from django.core.asgi import get_asgi_application
from django.urls import path

from kfet.routing import KFRouter

application = ProtocolTypeRouter(
    {
        # WebSocket chat handler
        "websocket": AuthMiddlewareStack(
            URLRouter(
                [
                    path("ws/k-fet", KFRouter),
                ]
            )
        ),
        "http": get_asgi_application(),
    }
)
